Bug 21501 - Upgrade RPM Breaks File Listing
Upgrade RPM Breaks File Listing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-29 16:53 EST by support
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-11 14:06:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description support 2000-11-29 16:53:59 EST
When upgrading from the base 6.2 RPM of wu-ftpd-2.6.0-3 RPM to the new
wu-ftpd-2.6.0-14.6x a file listing bug pops up.  If you use a standard FTP 
client like WSFTP or CuteFTP under the base RPM you see your hidden files 
such as .bash .screen, .htacess etc.  However, when upgrading to the newer 
RPM you do not see these files anymore in the directory listing.

I have confimed this myself and our clients have confirmed this with using 
Windows FTP clients such as WSFTP CuteFTP and Bulletproof FTP.

Can someone please look into this BUG and report back.

Thanks
Eric
Hosting 4 Less
Comment 1 Nalin Dahyabhai 2001-01-11 14:02:00 EST
The behavior of internal-ls doesn't appear to match the behavior of non-internal
/bin/ls, so this appears to depend on whether or not your copy of wu-ftpd was
built with internal-ls enabled.
Comment 2 support 2001-01-11 14:06:22 EST
I did not change a thing I just did a RPM -Fvh with the new RPM from the errata 
notice and it broke.

Eric
Comment 3 Bernhard Rosenkraenzer 2001-01-12 09:12:59 EST
This is almost certainly a client problem - using the right commands, wu-ftpd
gives exactly the right output: No dotfiles for ls -l, dotfiles for ls -la.
Comment 4 Bailey, Greg 2001-01-12 10:02:41 EST
This bug can also be verified by issuing "ls -ltr" on an FTP server with
wu-ftpd-2.6.0-14.6x installed.  Basically, the internal "ls" doesn't sort the
files by timestamp as it should.

I first observed this bug when I would connect to RedHat's FTP update directory
and issue "ls -ltr" so that I could see the most recently changed files at the
end of the listing.  It was really annoying when the FTP server kept sorting the
files alphabetically...

Comment 5 Bernhard Rosenkraenzer 2001-01-12 10:05:38 EST
Right, sorting is not yet implemented in the internal ls in wu-ftpd (and not
required by the RFC, by the way).
But it gets rid of the need to keep ~/bin/ls etc. in the home directories of all
chrooted users.
If you don't like it, recompile with --disable-ls.

Note You need to log in before you can comment on or make changes to this bug.